export declare class DataSourceUtils {
    /**
     * 解析URL中是否包含全局变量
     * 包含   则解析全局变量
     * 不包含 则忽略
     */
    static replaceURLVariables(url: string, variableData: any[]): string;
    /**
     * 解析对象中是否包含全局变量
     * 包含   则解析全局变量
     * 不包含 则忽略
     */
    static replaceObjectVariables(obj: any, variableData: any[]): any;
    /**
     * 解析字符串中是否包含全局变量
     * 包含   则解析全局变量
     * 不包含 则忽略
     */
    static replaceStringVariables(str: string, variableData: any[]): string;
    /**
     * 解析环境变量
     * 包含   则解析环境变量
     * 不包含 则忽略
     */
    static replaceEnvVariables(url: string, environments: any[]): string;
    /**
     * 返回空数据
     */
    static noneData(id: string): {
        id: string;
        finalKeyData: any[];
        finalUserData: {
            id: string;
            data: any[];
        };
        filteredData: any[];
        rawData: any[];
        noMappingData: any[];
    };
    /**
     * 获取环境变量
     */
    static getEnvironments(): any;
    /**
     * 获取变量数据
     */
    static getVariableData(): any;
    static hasValidWebSocket(wsInstances: any, tId: string, sourceId: string): boolean;
    static cleanupPreviousWebSockets(wsInstances: any, sourceIds: string[], tId: string): void;
}
